Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PICurrent Class Reference

Implementation of the PortableInterceptor::Current interface. More...

`#include <PICurrent.h>`

Inheritance diagram for TAO_PICurrent

[legend]
Collaboration diagram for TAO_PICurrent:

[legend]
List of all members.

## Public Methods
| TAO_PICurrent (TAO_ORB_Core *orb_core)
| Constructor.
PortableInterceptor::SlotId | allocate_slot_id (void)
| Allocate a new SlotId.
PortableInterceptor::SlotId | slot_count (void) const
| Number of slots allocated in the slot table.
TAO_PICurrent_Impl* | tsc (void)
| Retrieve the PICurrent implementation from TSS, i.e. the thread scope current (TSC).
void | check_validity (const PortableInterceptor::SlotId &id, CORBA::Environment &ACE_TRY_ENV)
| Verify the validity of the given SlotId.
PortableInterceptor::Current Methods
These are methods exposed by the PortableInterceptor::Current interface.
virtual CORBA::Any* | get_slot (PortableInterceptor::SlotId id, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableInterceptor::InvalidSlot)
| Retrieve information stored in the slot table at the given SlotId.
virtual void | set_slot (PortableInterceptor::SlotId id, const CORBA::Any & data, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableInterceptor::InvalidSlot)
| Set information in the slot table at the given SlotId.
## Protected Methods
| ~TAO_PICurrent (void)
| Destructor. More...
## Private Methods
| TAO_PICurrent (const TAO_PICurrent &)
void | operator= (const TAO_PICurrent &)
## Private Attributes
TAO_ORB_Core* | orb_core_
| Pointer to the orb core.
PortableInterceptor::SlotId | slot_count_
| The number of allocated slots.

## Detailed Description

Implementation of the PortableInterceptor::Current interface.

PortableInterceptor::Current is useful for passing data between request interceptors, in addition to passing data from an interceptor to the calling thread.

## Constructor & Destructor Documentation

TAO_PICurrent::TAO_PICurrent ( | TAO_ORB_Core * orb_core )

| Constructor.

TAO_PICurrent::~TAO_PICurrent ( | void )`[protected]`

| Destructor. Protected destructor to enforce the fact this class is reference counted, and should not be destroyed using delete() by anything other than the reference counting mechanism.

TAO_PICurrent::TAO_PICurrent ( | const TAO_PICurrent & )`[private]`

## Member Function Documentation

PortableInterceptor::SlotId TAO_PICurrent::allocate_slot_id ( | void )

| Allocate a new SlotId.

ACE_INLINE void TAO_PICurrent::check_validity ( | const PortableInterceptor::SlotId & id,
| CORBA::Environment & ACE_TRY_ENV )

| Verify the validity of the given SlotId.

CORBA::Any * TAO_PICurrent::get_slot ( | PortableInterceptor::SlotId id,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableInterceptor::InvalidSlot)`[virtual]`

| Retrieve information stored in the slot table at the given SlotId.

void TAO_PICurrent::operator= ( | const TAO_PICurrent & )`[private]`

void TAO_PICurrent::set_slot ( | PortableInterceptor::SlotId id,
| const CORBA::Any & data,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableInterceptor::InvalidSlot)`[virtual]`

| Set information in the slot table at the given SlotId.

ACE_INLINE PortableInterceptor::SlotId TAO_PICurrent::slot_count ( | void ) const

| Number of slots allocated in the slot table.

TAO_PICurrent_Impl * TAO_PICurrent::tsc ( | void )

| Retrieve the PICurrent implementation from TSS, i.e. the thread scope current (TSC).

## Member Data Documentation

TAO_ORB_Core * TAO_PICurrent::orb_core_`[private]`

| Pointer to the orb core.

PortableInterceptor::SlotId TAO_PICurrent::slot_count_`[private]`

| The number of allocated slots.

The documentation for this class was generated from the following files:

- PICurrent.h
- PICurrent.inl